Unregistered TXT files in doc

27 Mar 2019 13:52 - John Abbott

Status: Closed Start date: 27 Mar 2019

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Documentation Estimated time: 2.50 hours

Target version: CoCoALib-0.99850 Spent time: 2.61 hours

Description

There are some "unregistered" .txt files in the CoCoALib documentation.

Rectify!

Related issues:

Related to CoCoALib - Support #1510: Documentation for SparsePolyOps? New 14 Oct 2020

Related to CoCoALib - Design #1783: Code & doc structure:  one-big-file or ma... In Progress 24 Feb 2024

History

#1 - 27 Mar 2019 13:55 - John Abbott

These files exist but are not present in index-alpha.html.

00CodingConventions.txt [[2023-03-09  now it is indexed]]

00INTRODUCTION.txt     [[2023-03-09  now it is indexed]]

--ApproxPts.txt--      [[2023-03-09  now it is indexed]]

--assert.txt--         [[2023-03-09  now it is indexed]]

-- exception.txt --    [[2023-03-09  now it is indexed]]

--ExternalLibs-readline.txt--  [[no longer exists: 2021-11-03]]

--IdealOfPoints.txt--  [[2023-03-09  now it is indexed]]

INSTALL.txt            [[2023-03-09  now it is indexed]]

--SmallPrime.txt--     [[2023-03-09  no longer exists]]

SparsePolyOps.txt      [[2023-03-09  exists but is almost empty]]

 

I have not checked index.html

#2 - 09 Jan 2020 13:55 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

Postponing because this is not essential for the next release, and choosing status quo seems to be harmless while also saving time.

#3 - 15 Jan 2021 18:01 - John Abbott

- Status changed from New to In Progress
- % Done changed from 0 to 10

Progress chart:

SmallPrime.txt removed because very out of date

 fill in as progress is made

#4 - 03 Nov 2021 19:20 - John Abbott

- % Done changed from 10 to 20

I have just added doc for exception to the indexes.

#5 - 03 Nov 2021 19:57 - John Abbott

- % Done changed from 20 to 30

The doc for assert had already been added.  I have revised the source code in assert.H slightly.

#6 - 03 Nov 2021 20:56 - John Abbott

- % Done changed from 30 to 50

I have added a "first" version of doc for IdealOfPoints and IdealOfProjectivePoints.

#7 - 04 Feb 2022 22:05 - John Abbott

- Assignee set to John Abbott

- % Done changed from 50 to 70

There is a file called SparsePolyOps.txt which seems to be devoid of meaningful content.

There are several files whose names begin SparsePolyOps-.

I suggest simply deleting SparsePolyOps.txt -- OK, Anna?

#8 - 16 Feb 2022 20:46 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#9 - 07 Mar 2023 20:51 - John Abbott

Let's discuss this issue.  I hope we can resolve it this week.

#10 - 09 Mar 2023 22:11 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 70 to 90

The only remaining case is SparsePolyOps.txt which is almost empty...

BUT there are several other files SparsePolyOps-XYZ.

Perhaps these other files should be merged into a single file somewhere?

(either a new file, or an existing file).
#11 - 09 Mar 2023 22:24 - John Abbott

- Related to Support #1510: Documentation for SparsePolyOps? added

#12 - 23 Feb 2024 11:34 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

- Estimated time set to 2.50 h

#13 - 01 Mar 2024 09:37 - Anna Maria Bigatti

- Related to Design #1783: Code & doc structure:  one-big-file or many-small-files? added
